{% extends 'layouts/layout.html' %}
{% load static %}
{% load i18n %}
{% load widget_tweaks %}
{% load petition_extras %}

{% block title %}{{ petition.title }}{% endblock title %}

<!-- Extra meta -->
{% block extrameta %}
<meta name="description" content="{{ petition.title }}"/>

<meta property="og:title" content="{{ petition.title }}"/>
{% if petition.twitter_description %}
<meta property="og:description"
content="{{ petition.raw_twitter_description|safe }}"/>
{% else %}
<meta property="og:description" content="{{ petition.raw_text|safe }}"/>
{% endif %}
<meta property="og:type" content="website"/>
<meta property="og:url" content="{{ meta.petition_url }}" />
<meta property="og:site_name" content="{{ meta.site_url }}" />
{% if petition.twitter_image %}
<meta property="og:image" content="{{ og_image_absolute_url }}" />
{% endif %}

<meta itemprop="name" content="{{ petition.title }}"/>
{% if petition.twitter_description %}
<meta itemprop="description"
content="{{ petition.raw_twitter_description|safe }}"/>
{% else %}
<meta itemprop="description" content="{{ petition.raw_text|safe }}"/>
{% endif %}
<!-- FIXME: <meta itemprop="url" content=""/> //-->

<meta name="twitter:card" content="summary"/>
<meta name="twitter:creator" content="@yannsionneau"/>
<meta name="twitter:site" content="{{ petition.org_twitter_handle }}"/>
<meta name="twitter:title" content="{{ petition.title }}"/>
{% if petition.twitter_description %}
<meta name="twitter:description"
content="{{ petition.raw_twitter_description|safe }}"/>
{% else %}
<meta name="twitter:description" content="{{ petition.raw_text|safe }}"/>
{% endif %}
{% if petition.twitter_image %}
<meta name="twitter:image" content="{{ og_image_absolute_url }}"/>
{% endif %}

{% endblock %}

{% block extracss %}
<link href="{% static "css/petition.css" %}" rel="stylesheet" type="text/css">
{% if petition.has_any_share_button %}
    <link href="{% static "css/rrssb.css" %}" rel="stylesheet" type="text/css">
{% endif %}
<style type="text/css">
{% if petition.bgcolor != "#FFFFFF" %}
body {
  background-color: {{ petition.bgcolor }};
}
{% endif %}
{% if petition.linear_gradient_direction != petition.NO %}
body {
  background: linear-gradient({{ petition.linear_gradient_direction}}, {{ petition.gradient_from }}, {{ petition.gradient_to }});
}
{% endif %}
</style>
{% endblock %}

{% block extrajshead %}
<script>
dataLayer = [];
</script>
{% endblock %}

{% block container_type %}container petition{% endblock container_type %}

{% block login_next %}{% url "user_dashboard" %}{% endblock login_next %}

{% block navbar %}
{% endblock navbar %}

{% block modal %}
{% if petition_is_signed %}
  <div class="modal fade" id="show_sign_success">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">{% trans "Thank you!" %}</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>

        <div class="modal-body">
          {% blocktrans trimmed %}
            Thank you for signing this petition!
            Your signature will be accounted for as soon as you click on the link in the e-mail
            we've just sent you.
          {% endblocktrans %}
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-success" data-dismiss="modal">{% trans "Ok" %}</button>
        </div>

      </div>
    </div>
  </div>
{% endif %}
{% if signature_is_confirmed %}
  <div class="modal fade" id="show_confirm_success">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">{% trans "Thank you!" %}</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>

        <div class="modal-body">
          {% blocktrans trimmed %}
            Thank you for confirming your signature to this petition!
            Your signature is now accounted for. See you soon!
          {% endblocktrans %}
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-success" data-dismiss="modal">{% trans "Ok" %}</button>
        </div>

      </div>
    </div>
  </div>
{% endif %}
    {% if petition.has_mastodon_share_button %}
    <div class="modal fade" id="MastodonModal" tabindex="-1" role="dialog" aria-labelledby="MastodonModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="MastodonModalLabel">{% trans "Instance address" %}</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label for="msb-address">{% trans "Enter your Mastodon instance's address" %}</label>
              <input type="text" class="form-control" id="msb-address" placeholder="https://mastodon.online">
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">{% trans "Close" %}</button>
            <button id="msb-share" type="button" class="btn btn-primary">{% trans "Share" %}</button>
          </div>
        </div>
      </div>
    </div>
    {% endif %}
{% endblock modal %}

{% block main_content %}
<div class="show-form" id="show-form">
  <div class="wrapper">
    <button type="button" class="btn btn-primary btn-block">{% trans "SIGN" %}</button>
  </div>
</div>

<div class="container petition-details">
  {% if not petition.published %}
  <div class="alert alert-warning alert-dismissible fade show" role="alert">
    <strong>{% trans "Careful!" %}</strong>
      {% blocktrans trimmed %}
          This petition is not published yet. You can only see it because you are logged-in as either its creator or a member of the organization
          which created it. Other visitors won't be able to see it.
      {% endblocktrans %}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  {% endif %}
  <div>
    <h1>{{ petition.title|html_sanitize|striptags|safe }}</h1>
    {% if petition.is_moderated %}
    <h2 class="text-danger">{% trans "This petition is moderated. You only see it because you are its creator" %}</h2>
    {% endif %}
  </div>
  <div class="row petition-wrapper">
      <div class="col-lg-4 formular form-wrapper order-lg-1" id="petition">
          {% if petition.side_text %}
            <div class="intro" id="intro">
                {{ petition.side_text|html_sanitize|safe }}
            </div>
          {% endif %}
          <p class="sign text-primary"><strong>Signez la pétition&nbsp;!</strong></p>
          <div class="counter" id="counter">
            <div class="progress">
              <div class="progress-bar bg-primary" role="progressbar" id="progress-bar"
              data-target="{{ petition.target }}">
              </div>
            </div>
            <div class="counter-stats">
              <div class="counter-stats-ongoing">
                <span id="nb-signatures" class="counter-stats-number">{{ petition.signature_number }}</span>
                <br>
                <span>Signatures</span>
              </div>
              <div class="counter-stats-target">
                <span class="counter-stats-number">{{ petition.target }}</span>
                <br>
                <span>Objectif</span>
              </div>
            </div>
          </div>
          <div id="form-sticky" class="form-sticky">
            {% for message in messages %}
            <div
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            class="alert alert-danger" role="alert">
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
            class="alert alert-success" role="alert">
            {% else %}
            class="alert {{ message.tags }}" role="alert">
            {% endif %}
              {{ message }}
            </div>
            {% endfor %}
            <div class="fields" {% if petition_is_signed %}hidden{% endif %}>
              <form method='POST' name='petition' class='form-group'
              action='{% url "create_signature" petition.id %}'>
                {% csrf_token %}
                {% for hidden_field in form.hidden_fields %}
                {{ hidden_field }}
                {% endfor %}

                {% if form.non_field_errors %}
                <div class="alert alert-danger" role="alert">
                  {% for error in form.non_field_errors %}
                  {{ error }}
                  {% endfor %}
                </div>
                {% endif %}

                {% for field in form.visible_fields %}
                <div class="{{ field.field.widget.attrs.group_class }}">
                  {% if field.field.widget.attrs.group_class != "form-check" %}
                    {% if field.label %}
                    {{ field.label_tag }}
                    {% endif %}
                  {% endif %}
                  {% if form.is_bound %}
                    {% if field.errors %}
                      {{ field|add_class:"is-invalid" }}
                      {% for error in field.errors %}
                        <span class="invalid-feedback">{{ error }}</span>
                      {% endfor %}
                    {% else %}
                      {{ field|add_class:"is-valid" }}
                    {% endif %}
                  {% else %}
                    {{ field }}
                  {% endif %}
                  {% if field.field.widget.attrs.group_class == "form-check" %}
                    {{ field.label_tag }}
                  {% endif %}

                  {% if field.help_text %}
                    <small class="form-text text-muted">{{ field.help_text }}</small>
                  {% endif %}
                </div>
                {% endfor %}

                <p><small>{% trans "The content of this petition is neither approved nor endorsed by Framasoft" %}</small></p>

                <span class="eaSubmitResetButtonGroup mb-1" id="eaFormButtonGroup_1"><input
                  type="submit" class="btn btn-primary eaSubmitButton" value="Signer"></span>
                {% if petition.has_any_share_button %}
                <div>
                  <ul class="rrssb-buttons">
                    {% if petition.has_email_share_button %}  
                    <li class="rrssb-email">
                      <!-- Replace subject with your message using URL Endocding: http://meyerweb.com/eric/tools/dencoder/ -->
                      <a href="mailto:?Subject={{ petition.title|html_sanitize|striptags|safe }}: {% trans "Sign the petition!" %}&body={{ request.build_absolute_uri }}">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M21.386 2.614H2.614A2.345 2.345 0 0 0 .279 4.961l-.01 14.078a2.353 2.353 0 0 0 2.346 2.347h18.771a2.354 2.354 0 0 0 2.347-2.347V4.961a2.356 2.356 0 0 0-2.347-2.347zm0 4.694L12 13.174 2.614 7.308V4.961L12 10.827l9.386-5.866v2.347z"/></svg>
                        </span>
                        <span class="rrssb-text">email</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_facebook_share_button %}  
                    <li class="rrssb-facebook">
                      <!--  Replace with your URL. For best results, make sure you page has the proper FB Open Graph tags in header:
                            https://developers.facebook.com/docs/opengraph/howtos/maximizing-distribution-media-content/ -->
                      <a href="https://www.facebook.com/sharer/sharer.php?u={{ request.build_absolute_uri }}" class="popup">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 29 29"><path d="M26.4 0H2.6C1.714 0 0 1.715 0 2.6v23.8c0 .884 1.715 2.6 2.6 2.6h12.393V17.988h-3.996v-3.98h3.997v-3.062c0-3.746 2.835-5.97 6.177-5.97 1.6 0 2.444.173 2.845.226v3.792H21.18c-1.817 0-2.156.9-2.156 2.168v2.847h5.045l-.66 3.978h-4.386V29H26.4c.884 0 2.6-1.716 2.6-2.6V2.6c0-.885-1.716-2.6-2.6-2.6z"/></svg>
                        </span>
                        <span class="rrssb-text">facebook</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_tumblr_share_button %}  
                    <li class="rrssb-tumblr">
                      <a href="http://tumblr.com/share/link?url={{ request.build_absolute_uri  }}&name={{ petition.title|html_sanitize|striptags|safe }}">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><path d="M18.02 21.842c-2.03.052-2.422-1.396-2.44-2.446v-7.294h4.73V7.874H15.6V1.592h-3.714s-.167.053-.182.186c-.218 1.935-1.144 5.33-4.988 6.688v3.637h2.927v7.677c0 2.8 1.7 6.7 7.3 6.6 1.863-.03 3.934-.795 4.392-1.453l-1.22-3.54c-.52.213-1.415.413-2.115.455z"/></svg>
                        </span>
                        <span class="rrssb-text">tumblr</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_linkedin_share_button %}  
                    <li class="rrssb-linkedin">
                      <!-- Replace href with your meta and URL information -->
                      <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url={{ request.build_absolute_uri }}&amp;title={{ petition.title|html_sanitize|striptags|safe }}&amp;summary={% trans "Sign the petition!" %}" class="popup">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><path d="M25.424 15.887v8.447h-4.896v-7.882c0-1.98-.71-3.33-2.48-3.33-1.354 0-2.158.91-2.514 1.802-.13.315-.162.753-.162 1.194v8.216h-4.9s.067-13.35 0-14.73h4.9v2.087c-.01.017-.023.033-.033.05h.032v-.05c.65-1.002 1.812-2.435 4.414-2.435 3.222 0 5.638 2.106 5.638 6.632zM5.348 2.5c-1.676 0-2.772 1.093-2.772 2.54 0 1.42 1.066 2.538 2.717 2.546h.032c1.71 0 2.77-1.132 2.77-2.546C8.056 3.593 7.02 2.5 5.344 2.5h.005zm-2.48 21.834h4.896V9.604H2.867v14.73z"/></svg>
                        </span>
                        <span class="rrssb-text">linkedin</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_twitter_share_button %}  
                    <li class="rrssb-twitter">
                      <!-- Replace href with your Meta and URL information  -->
                      <a href="https://twitter.com/intent/tweet?text={{ petition.title|html_sanitize|striptags|safe }}:%0A{{ request.build_absolute_uri }}%0A{% trans "Sign the petition!" %}"
                      class="popup">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><path d="M24.253 8.756C24.69 17.08 18.297 24.182 9.97 24.62a15.093 15.093 0 0 1-8.86-2.32c2.702.18 5.375-.648 7.507-2.32a5.417 5.417 0 0 1-4.49-3.64c.802.13 1.62.077 2.4-.154a5.416 5.416 0 0 1-4.412-5.11 5.43 5.43 0 0 0 2.168.387A5.416 5.416 0 0 1 2.89 4.498a15.09 15.09 0 0 0 10.913 5.573 5.185 5.185 0 0 1 3.434-6.48 5.18 5.18 0 0 1 5.546 1.682 9.076 9.076 0 0 0 3.33-1.317 5.038 5.038 0 0 1-2.4 2.942 9.068 9.068 0 0 0 3.02-.85 5.05 5.05 0 0 1-2.48 2.71z"/></svg>
                        </span>
                        <span class="rrssb-text">twitter</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_mastodon_share_button %}  
                      <li class="rrssb-mastodon">
                      <a class="mastodon-share-button" data-target="{{ petition.title|html_sanitize|striptags|safe }}:%0A{{ request.build_absolute_uri }}%0A{% trans "Sign the petition!" %}">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 216.4144 232.00976">
                            <path fill="#2b90d9" d="M211.80734 139.0875c-3.18125 16.36625-28.4925 34.2775-57.5625 37.74875-15.15875 1.80875-30.08375 3.47125-45.99875 2.74125-26.0275-1.1925-46.565-6.2125-46.565-6.2125 0 2.53375.15625 4.94625.46875 7.2025 3.38375 25.68625 25.47 27.225 46.39125 27.9425 21.11625.7225 39.91875-5.20625 39.91875-5.20625l.8675 19.09s-14.77 7.93125-41.08125 9.39c-14.50875.7975-32.52375-.365-53.50625-5.91875C9.23234 213.82 1.40609 165.31125.20859 116.09125c-.365-14.61375-.14-28.39375-.14-39.91875 0-50.33 32.97625-65.0825 32.97625-65.0825C49.67234 3.45375 78.20359.2425 107.86484 0h.72875c29.66125.2425 58.21125 3.45375 74.8375 11.09 0 0 32.975 14.7525 32.975 65.0825 0 0 .41375 37.13375-4.59875 62.915"/>
                            <path fill="#fff" d="M177.50984 80.077v60.94125h-24.14375v-59.15c0-12.46875-5.24625-18.7975-15.74-18.7975-11.6025 0-17.4175 7.5075-17.4175 22.3525v32.37625H96.20734V85.42325c0-14.845-5.81625-22.3525-17.41875-22.3525-10.49375 0-15.74 6.32875-15.74 18.7975v59.15H38.90484V80.077c0-12.455 3.17125-22.3525 9.54125-29.675 6.56875-7.3225 15.17125-11.07625 25.85-11.07625 12.355 0 21.71125 4.74875 27.8975 14.2475l6.01375 10.08125 6.015-10.08125c6.185-9.49875 15.54125-14.2475 27.8975-14.2475 10.6775 0 19.28 3.75375 25.85 11.07625 6.36875 7.3225 9.54 17.22 9.54 29.675"/>
                          </svg>
                        </span>
                        <span class="rrssb-text">mastodon</span>
                      </a>
                    </li>
                    {% endif %}
                    {% if petition.has_whatsapp_share_button %}  
                    <li class="rrssb-whatsapp">
                      <a href="whatsapp://send?text={{ request.build_absolute_uri }}" data-action="share/whatsapp/share">
                        <span class="rrssb-icon">
                          <svg xmlns="http://www.w3.org/2000/svg" width="90" height="90" viewBox="0 0 90 90"><path d="M90 43.84c0 24.214-19.78 43.842-44.182 43.842a44.256 44.256 0 0 1-21.357-5.455L0 90l7.975-23.522a43.38 43.38 0 0 1-6.34-22.637C1.635 19.63 21.415 0 45.818 0 70.223 0 90 19.628 90 43.84zM45.818 6.983c-20.484 0-37.146 16.535-37.146 36.86 0 8.064 2.63 15.533 7.076 21.61l-4.64 13.688 14.274-4.537A37.122 37.122 0 0 0 45.82 80.7c20.48 0 37.145-16.533 37.145-36.857S66.3 6.983 45.818 6.983zm22.31 46.956c-.272-.447-.993-.717-2.075-1.254-1.084-.537-6.41-3.138-7.4-3.495-.993-.36-1.717-.54-2.438.536-.72 1.076-2.797 3.495-3.43 4.212-.632.72-1.263.81-2.347.27-1.082-.536-4.57-1.672-8.708-5.332-3.22-2.848-5.393-6.364-6.025-7.44-.63-1.076-.066-1.657.475-2.192.488-.482 1.084-1.255 1.625-1.882.543-.628.723-1.075 1.082-1.793.363-.718.182-1.345-.09-1.884-.27-.537-2.438-5.825-3.34-7.977-.902-2.15-1.803-1.793-2.436-1.793-.63 0-1.353-.09-2.075-.09-.722 0-1.896.27-2.89 1.344-.99 1.077-3.788 3.677-3.788 8.964 0 5.288 3.88 10.397 4.422 11.113.54.716 7.49 11.92 18.5 16.223 11.01 4.3 11.01 2.866 12.996 2.686 1.984-.18 6.406-2.6 7.312-5.107.9-2.513.9-4.664.63-5.112z"/></svg>
                        </span>
                        <span class="rrssb-text">Whatsapp</span>
                      </a>
                    </li>
                    {% endif %}
                  </ul>
                </div>
                {% endif %}
              </form>
            </div>
            <div class="reassurance" id="reassurance">
              <p style="text-align:justify">
                {{ petition.sign_form_footer }}
              </p>
            </div>
          </div>
        </div>
      <div class="col-lg-8 presentation">
        {% if petition.publication_date and petition.show_publication_date %}
        <div class="font-weight-light font-italic">
          {% trans "Published on: "%} {{ petition.publication_date|date:"SHORT_DATE_FORMAT" }}
        </div>
        {% endif %}
        {{ petition.text|html_sanitize|safe }}
      </div>
  </div>
</div>

{% endblock main_content %}

{% block extrajs %}
<script type="text/javascript" src="{% static "js/petition.js" %}"></script>
{% if petition.has_any_share_button %}
<script type="text/javascript" src="{% static "vendor/rrssb/js/rrssb.min.js" %}"></script>
<script>
    const msbConfig = {
      openModal: function () {
        $('#MastodonModal').modal('show');
      },
      closeModal: function () {
        $('#MastodonModal').modal('hide');
      },
      addressFieldSelector: '#msb-address',
      buttonModalSelector: '#msb-share',
      memorizeFieldId: 'msb-memorize-instance',
    };

    $('.modal').on('shown.bs.modal', function() {
      $('#msb-address').focus();
    });
</script>
<script type="text/javascript" src="{% static "vendor/msb/js/mastodon.js" %}"></script>
{% endif %}
{% if petition_is_signed %}
<script type="text/javascript">
$("#show_sign_success").modal("show");
</script>
{% endif %}
{% if signature_is_confirmed %}
<script type="text/javascript">
$("#show_confirm_success").modal("show");
</script>
{% endif %}
{% endblock %}

{% block footer %}
{% if petition.footer_links|trim or petition.footer_text|trim %}
<div class="container">
<div class="row footer-wrapper">
    <footer role="contentinfo" class="footer col-12">
        <div class="footer-links ml-2">
            {{ petition.footer_links|html_sanitize|safe }}
        </div>
        <div class="footer-text ml-2">
            {{ petition.footer_text|html_sanitize|safe }}
        </div>
    </footer>
</div>
</div>
{% endif %}
{% endblock %}
